<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::PointForceDirection Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1PointForceDirection.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1PointForceDirection-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::PointForceDirection Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Convenience class for a generic representation of geometry of a complex <a class="el" href="classOpenSim_1_1Force.html" title="This abstract class represents a force applied to bodies or generalized coordinates during a simulati...">Force</a> (or any other object) with multiple points of contact through which forces are applied to bodies.  
 <a href="classOpenSim_1_1PointForceDirection.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a78757baf2c161adf8b8a0985009d6b97"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PointForceDirection.html#a78757baf2c161adf8b8a0985009d6b97">~PointForceDirection</a> ()</td></tr>
<tr class="separator:a78757baf2c161adf8b8a0985009d6b97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96c54b639260a8440052a7d25d41422d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PointForceDirection.html#a96c54b639260a8440052a7d25d41422d">PointForceDirection</a> (SimTK::Vec3 <a class="el" href="classOpenSim_1_1PointForceDirection.html#ade9af6d931e2a5615e90e79674bfbe53">point</a>, const <a class="el" href="classOpenSim_1_1PhysicalFrame.html">PhysicalFrame</a> &amp;<a class="el" href="classOpenSim_1_1PointForceDirection.html#a0901d2e1bd45b8eeaf737a576207a941">frame</a>, SimTK::Vec3 <a class="el" href="classOpenSim_1_1PointForceDirection.html#aedb7d974e74d44374138bcee1e88dc25">direction</a>, double <a class="el" href="classOpenSim_1_1PointForceDirection.html#a22440b62362931d31fcc9a7d16292961">scale</a>=1)</td></tr>
<tr class="memdesc:a96c54b639260a8440052a7d25d41422d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor takes the point, body, direction and scale as arguments.  <a href="classOpenSim_1_1PointForceDirection.html#a96c54b639260a8440052a7d25d41422d">More...</a><br /></td></tr>
<tr class="separator:a96c54b639260a8440052a7d25d41422d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade9af6d931e2a5615e90e79674bfbe53"><td class="memItemLeft" align="right" valign="top">SimTK::Vec3&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PointForceDirection.html#ade9af6d931e2a5615e90e79674bfbe53">point</a> ()</td></tr>
<tr class="memdesc:ade9af6d931e2a5615e90e79674bfbe53"><td class="mdescLeft">&#160;</td><td class="mdescRight">get point of "contact" with on a body defined in the body frame  <a href="classOpenSim_1_1PointForceDirection.html#ade9af6d931e2a5615e90e79674bfbe53">More...</a><br /></td></tr>
<tr class="separator:ade9af6d931e2a5615e90e79674bfbe53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0901d2e1bd45b8eeaf737a576207a941"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOpenSim_1_1PhysicalFrame.html">PhysicalFrame</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PointForceDirection.html#a0901d2e1bd45b8eeaf737a576207a941">frame</a> ()</td></tr>
<tr class="memdesc:a0901d2e1bd45b8eeaf737a576207a941"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the body in which the point is defined  <a href="classOpenSim_1_1PointForceDirection.html#a0901d2e1bd45b8eeaf737a576207a941">More...</a><br /></td></tr>
<tr class="separator:a0901d2e1bd45b8eeaf737a576207a941"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedb7d974e74d44374138bcee1e88dc25"><td class="memItemLeft" align="right" valign="top">SimTK::Vec3&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PointForceDirection.html#aedb7d974e74d44374138bcee1e88dc25">direction</a> ()</td></tr>
<tr class="memdesc:aedb7d974e74d44374138bcee1e88dc25"><td class="mdescLeft">&#160;</td><td class="mdescRight">get direction of the force at the point defined in ground  <a href="classOpenSim_1_1PointForceDirection.html#aedb7d974e74d44374138bcee1e88dc25">More...</a><br /></td></tr>
<tr class="separator:aedb7d974e74d44374138bcee1e88dc25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22440b62362931d31fcc9a7d16292961"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PointForceDirection.html#a22440b62362931d31fcc9a7d16292961">scale</a> ()</td></tr>
<tr class="memdesc:a22440b62362931d31fcc9a7d16292961"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the scale factor on the force  <a href="classOpenSim_1_1PointForceDirection.html#a22440b62362931d31fcc9a7d16292961">More...</a><br /></td></tr>
<tr class="separator:a22440b62362931d31fcc9a7d16292961"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09e0deeed04f70eeb528f59c8111086c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1PointForceDirection.html#a09e0deeed04f70eeb528f59c8111086c">addToDirection</a> (SimTK::Vec3 newDirection)</td></tr>
<tr class="memdesc:a09e0deeed04f70eeb528f59c8111086c"><td class="mdescLeft">&#160;</td><td class="mdescRight">replace the current direction with the resultant with a new direction  <a href="classOpenSim_1_1PointForceDirection.html#a09e0deeed04f70eeb528f59c8111086c">More...</a><br /></td></tr>
<tr class="separator:a09e0deeed04f70eeb528f59c8111086c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>Convenience class for a generic representation of geometry of a complex <a class="el" href="classOpenSim_1_1Force.html" title="This abstract class represents a force applied to bodies or generalized coordinates during a simulati...">Force</a> (or any other object) with multiple points of contact through which forces are applied to bodies. </p>
<p>This represents one such point and an array of these objects defines a complete <a class="el" href="classOpenSim_1_1Force.html" title="This abstract class represents a force applied to bodies or generalized coordinates during a simulati...">Force</a> distribution (ie. path).</p>
<dl class="section author"><dt>Author</dt><dd>Ajay Seth </dd></dl>
<dl class="section version"><dt>Version</dt><dd>1.0 </dd></dl>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a78757baf2c161adf8b8a0985009d6b97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78757baf2c161adf8b8a0985009d6b97">&#9670;&nbsp;</a></span>~PointForceDirection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual OpenSim::PointForceDirection::~PointForceDirection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a96c54b639260a8440052a7d25d41422d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96c54b639260a8440052a7d25d41422d">&#9670;&nbsp;</a></span>PointForceDirection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::PointForceDirection::PointForceDirection </td>
          <td>(</td>
          <td class="paramtype">SimTK::Vec3&#160;</td>
          <td class="paramname"><em>point</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1PhysicalFrame.html">PhysicalFrame</a> &amp;&#160;</td>
          <td class="paramname"><em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">SimTK::Vec3&#160;</td>
          <td class="paramname"><em>direction</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>scale</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default constructor takes the point, body, direction and scale as arguments. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a09e0deeed04f70eeb528f59c8111086c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09e0deeed04f70eeb528f59c8111086c">&#9670;&nbsp;</a></span>addToDirection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::PointForceDirection::addToDirection </td>
          <td>(</td>
          <td class="paramtype">SimTK::Vec3&#160;</td>
          <td class="paramname"><em>newDirection</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>replace the current direction with the resultant with a new direction </p>

</div>
</div>
<a id="aedb7d974e74d44374138bcee1e88dc25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedb7d974e74d44374138bcee1e88dc25">&#9670;&nbsp;</a></span>direction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SimTK::Vec3 OpenSim::PointForceDirection::direction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>get direction of the force at the point defined in ground </p>

</div>
</div>
<a id="a0901d2e1bd45b8eeaf737a576207a941"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0901d2e1bd45b8eeaf737a576207a941">&#9670;&nbsp;</a></span>frame()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOpenSim_1_1PhysicalFrame.html">PhysicalFrame</a>&amp; OpenSim::PointForceDirection::frame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>get the body in which the point is defined </p>

</div>
</div>
<a id="ade9af6d931e2a5615e90e79674bfbe53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade9af6d931e2a5615e90e79674bfbe53">&#9670;&nbsp;</a></span>point()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SimTK::Vec3 OpenSim::PointForceDirection::point </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>get point of "contact" with on a body defined in the body frame </p>

</div>
</div>
<a id="a22440b62362931d31fcc9a7d16292961"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22440b62362931d31fcc9a7d16292961">&#9670;&nbsp;</a></span>scale()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double OpenSim::PointForceDirection::scale </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>get the scale factor on the force </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Simulation/Model/PointForceDirection.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1PointForceDirection.html">PointForceDirection</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:49 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
